diff --git a/doc/lispref/objects.texi b/doc/lispref/objects.texi
index 399a1d169c2..58577ed06c4 100644
--- a/doc/lispref/objects.texi
+++ b/doc/lispref/objects.texi
@@ -2414,9 +2414,9 @@ Equality Predicates
 @end example
 
 The @code{equal} function recursively compares the contents of objects
-if they are integers, strings, markers, lists, cons cells, vectors,
-bool-vectors, byte-code function objects, char-tables, records, or font
-objects.
+if they are lists, cons cells, vectors, records, markers, char-tables,
+font objects, or function objects (closures)@footnote{However, equality
+of distinct function objects cannot be guaranteed in general.).
 
 Comparison of strings is case-sensitive, but does not take account of
 text properties---it compares only the characters in the strings.
